BST ARTIFACT PUSH(1)

NAME
bst-artifact-push - Push a built artifact

SYNOPSIS
bst artifact push [OPTIONS] [ARTIFACTS]...

DESCRIPTION
Push built artifacts to a remote artifact cache, possibly pulling them first.

    Specifying no elements will result in pushing the default targets
    of the project. If no default targets are configured, all project
    elements will be pushed.

    When this command is executed from a workspace directory, the default
    is to push the workspace element.

    If bst has been configured to include build trees on artifact pulls,
    an attempt will be made to pull any required build trees to avoid the
    skipping of partial artifacts being pushed.

    Specify `--deps` to control which artifacts to push:

        none: No dependencies, just the element itself
        run: Runtime dependencies, including the element itself
        build: Build time dependencies, excluding the element itself
        all: All dependencies

OPTIONS

-d, --deps [build|none|run|all]
    The dependencies to push [default: none]

--artifact-remote REMOTE
    A remote for uploading artifacts

--ignore-project-artifact-remotes
    Ignore remote artifact cache servers recommended by projects